Loading...
Searching...
No Matches
Halide::Internal::Bound Struct Reference

A bound on a loop, typically from Func::bound. More...

`#include <Schedule.h>`

## Public Attributes

std::string | var
| The loop var being bounded.
Expr | min
| Declared min and extent of the loop.
Expr | extent
Expr | modulus
| If defined, the number of iterations will be a multiple of "modulus", and the first iteration will be at a value congruent to "remainder" modulo "modulus".
Expr | remainder

## Detailed Description

A bound on a loop, typically from Func::bound.

Definition at line 487 of file Schedule.h.

## Member Data Documentation

## var

std::string Halide::Internal::Bound::var

The loop var being bounded.

Definition at line 489 of file Schedule.h.

## min

Expr Halide::Internal::Bound::min

Declared min and extent of the loop.

min may be undefined if Func::bound_extent was used.

Definition at line 493 of file Schedule.h.

## extent

Expr Halide::Internal::Bound::extent

Definition at line 493 of file Schedule.h.

## modulus

Expr Halide::Internal::Bound::modulus

If defined, the number of iterations will be a multiple of "modulus", and the first iteration will be at a value congruent to "remainder" modulo "modulus".

Set by Func::align_bounds and Func::align_extent.

Definition at line 499 of file Schedule.h.

## remainder

Expr Halide::Internal::Bound::remainder

Definition at line 499 of file Schedule.h.

The documentation for this struct was generated from the following file:

- src/Schedule.h